gnutls_x509_key_purpose_init(3)

NAME
gnutls_x509_key_purpose_init - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_key_purpose_init(gnutls_x509_key_purposes_t * p);

ARGUMENTS

gnutls_x509_key_purposes_t * p
    The key purposes

DESCRIPTION
This function will initialize an alternative names type.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/